The future of MacBook 4,1

Discussion in 'MacBook' started by T909, Apr 29, 2013.

  1. T909 macrumors regular

    T909

    Joined:
    Aug 16, 2008
    #1
    Hello,
    My MacBook is 6,2 years old (Early 2008, White) and as it can't run Mountain Lion, I was thinking if Apple will support 10.7 at least until 2017 with security updates. What do you think ?
    They dropped the support to Leopard pretty fast and also developers did. I see no reason why Leopard couldn't get security updates.
    Microsoft still supports Vista (even XP, but not for long anymore). Even developers (Google and so on) dont support Leopard. Will the same thing happen to Lion?
    I know my computer is old, but I also have a desktop PC from 2004 and it runs Windows 8.
    Do you think Apple will support Lion at least until 2017 or no?
     
  2. Woodcrest64 macrumors 65816

    Woodcrest64

    Joined:
    Aug 14, 2006
    #3
  3. T909 thread starter macrumors regular

    T909

    Joined:
    Aug 16, 2008
    #4
    I have tried Mountain Lion on my unsupported Mac and when I open launchpad for three times then my computer crashes and also San Andreas wont work on it for example, but it works on Lion and it worked just really weirdly.
    For that you have to buy Mountain Lion. I have only the version from the pirate bay.
    Snow Leopard was the best for my MacBook, but it doesn't run some latest software, which is sad.
     

Share This Page